// Copyright (C) 2000, International Business Machines
// Corporation and others.  All Rights Reserved.
// Test individual classes or groups of classes

#if defined(_MSC_VER)
// Turn off compiler warning about long names
#  pragma warning(disable:4786)
#endif

#include <cassert>
#include <iostream>

#include "OsiPackedMatrix.hpp"

#ifdef NDEBUG
#undef NDEBUG
#endif

void testingMessage( const char * const msg );

int main (int argc, const char *argv[])
{
  testingMessage( "Testing OsiPackedMatrix\n" );

  OsiPackedMatrix * globalP;  

  // Test vector method exceptions
  {
    bool errorThrown = false;
    try {
      OsiShallowPackedVector v = globalP->getVector(-1);
    }
    catch (CoinError e) {
      errorThrown = true;
    }
    cout << "Error Thrown: " << errorThrown << endl;
    assert( errorThrown );
  }
}
 
// Display message on stdout and stderr
void testingMessage( const char * const msg )
{
  std::cerr <<msg;
  //cout <<endl <<"*****************************************"
  //     <<endl <<msg <<endl;
}

